Package org.eclipse.emf.cdo.common.revision

# Interface CDORevisionProvider

All Known Subinterfaces:
  `CDOCommonTransaction`, `CDOCommonView`, `CDOFileTransaction`, `CDONestedTransaction`, `CDORevisionProviderWithSynthetics`, `CDOTransaction`, `CDOView`, `CDOWorkspace`, `CDOWorkspaceBase`, `CDOWorkspaceBase2`, `DelegatingCDOTransaction`, `InternalCDOTransaction`, `InternalCDOView`, `InternalCDOWorkspace`, `InternalCDOWorkspaceBase`, `InternalCommitContext`, `InternalTransaction`, `InternalView`, `IStoreAccessor.CommitContext`, `ITransaction`, `IView`

All Known Implementing Classes:
  `CDOChangeSetDataRevisionProvider`, `CDOPushTransaction`, `CDORevisionAvailabilityInfo`, `ManagedRevisionProvider`, `ManagedRevisionProvider.WithSynthetics`, `MapRevisionProvider`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface CDORevisionProvider
Provides consumers with the `revisions` of `identifiable` CDO objects by selecting a particular one from several possible `branch points`.

Since:
  3.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDORevision`
`getRevision(CDOID id)`

## Method Details

### getRevision

CDORevision getRevision(CDOID id)